from slashdb.dbproxies.sqlalchemy_sdb.model import SQLAlchemyModel
from slashdb.dbproxies.sqlalchemy_sdb.model import SQLAlchemyModuleMaker

from .dbconfig import MySQLDBConfig
from .dataproxy import MySQLDataProxy
from .constants import DB_TYPES

__version__ = '1.0.0'

class MySQLModel(SQLAlchemyModel):
    db_types = DB_TYPES


class MySQLModuleMaker(SQLAlchemyModuleMaker):
    db_types = DB_TYPES
    model_class = MySQLModel


ModuleMaker = MySQLModuleMaker
Model = MySQLModel
DataProxy = MySQLDataProxy
DBConfig = MySQLDBConfig
DB_TYPES = DB_TYPES
